help:
	@echo "refetch, devserver, deploy"

deploy:
	-sudo rm -rf /var/www/bff-wa
	-sudo mkdir -p /var/www/bff-wa
	-sudo cp -rf ./media /var/www/bff-wa/media
	-sudo cp -rf ./static /var/www/bff-wa/static
	-sudo cp -rf ./index.html /var/www/bff-wa/index.html
	-sudo cp -rf ./manifest.json /var/www/bff-wa/manifest.json
	sudo install ./bff-wa-http.conf /etc/nginx/sites-available
	cd /var/www/bff-wa; sudo zip download.zip -r *
	cd /var/www/bff-wa; sudo chown http:http -R .
	sudo systemctl reload nginx.service


refetch:
	curl https://bff-ws.adlerneves.com/api/conventions/bff/minified.json -o data.json

devserver:
	python3 -m http.server
